apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  name: convert
spec:
  params:
    - name: source
      type: string
  steps:
    - command:
        - python
        - main.py
        - convert
        - --input_file=$(params.source).jsonl
        - --output_file=$(params.source).converted.jsonl
      envFrom:
        - configMapRef:
            name: historical-ads-importer-cm
      env:
        - name: TEMP_DIRECTORY
          value: $(workspaces.archived_ads.path)
      image: >-
        registry.gitlab.com/arbetsformedlingen/job-ads/historical-importer/main:latest
      name: convert
      resources: {}
  workspaces:
    - name: archived_ads
      description: Where to find the files
